<template>
  <div class="tabs-container">
    <ul class="tabs" v-if="colTitle == 'Kettenregeln' || colTitle == 'Nutzlose Variablen'">
      <li v-for="title in tabTitles" :key="title" class="tab">
        <span @click="switchTitle(title)" :class="[selectedTitle == title ? 'active' : '']">{{ title }}</span>
      </li>
    </ul>
    <slot></slot>
  </div>

</template>

<script>
import {computed, provide, ref} from "vue";

export default {
  name: "TabsContainer",
  props: ['colTitle'],
  setup(props, { slots }) {
    const tabTitles = ref(slots.default().map((tab) => tab.props.title).filter(title => {
      if(props.colTitle == 'Kettenregeln') {
        return title == 'Kettenregel'|| title == 'Produktion'
      } else if (props.colTitle == 'Nutzlose Variablen') {
        return title == 'Nutzlose Variable'|| title == 'Produktion'
      } else {
        return title == 'Produktion'
      }
    }))
    const selectedTitle = ref(tabTitles.value[0])

    provide('selectedTitle', selectedTitle)

    const switchTitle = (title) => {
      selectedTitle.value = title
    }

    return {
      tabTitles,
      selectedTitle,
      switchTitle
    }
  }
}
</script>

<style scoped>

</style>